PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List pipelines GETCreate a pipeline POSTGet a pipeline GETRename a pipeline PATCHDelete a pipeline DELETEList stages in a pipeline GETCreate a stage POSTUpdate a stage PATCHDelete a stage DELETE
Pipelines

Update a stage

PATCH
/pipeline-stages/{stageId}

Authorization

x-api-key<token>

In: header

Path Parameters

stageId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/pipeline-stages/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "pipelineId": "string",    "name": "string",    "color": "string",    "type": "OPEN",    "isNurture": true,    "rank": "string"  }}

Create a stage POST

Previous Page

Delete a stage DELETE

Next Page

name?string
color?string
type?string

Value in

  • "OPEN"
  • "WON"
  • "LOST"
isNurture?boolean